Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
dsam::DsamPort Interface Reference

DSAM port interface. More...

`import <DsamPort.idl;`

## Classes
struct | Info
| Port info. More...
struct | InfoChangedEvent
| Event that is send when the port info has changed. More...
struct | Settings
| Port settings. More...
struct | SettingsChangedEvent
| Event that is send whenthe port settings have changed. More...

## Public Types
enum | DeviceInterfaceType { DEV_IFTYPE_AUTO , DEV_IFTYPE_DTE , DEV_IFTYPE_DCE }
| Serial device interface type. More...
enum | Parity { PARITY_NONE , PARITY_ODD , PARITY_EVEN }
| Parity mode. More...
enum | FlowControl { FLOW_CTRL_NONE , FLOW_CTRL_HARDWARE , FLOW_CTRL_SOFTWARE }
| Flow control type. More...
enum | State { STATE_AVAILABLE , STATE_OCCUPIED , STATE_BUSY }
| Port state. More...

## Public Member Functions
Info | getInfo ()
| Get current port info.
Settings | getSettings ()
| Get current port settings.
int | setSettings (in Settings settings)
| Set port settings.
int | getTtyUsbNumber ()
| Get the number of the ttyUSB device.
void | setState (in State state)
| Set the state of the port.

## Public Attributes
constant int | SUCCESS = 0
| Success code.
constant int | SETTINGS_INVALID = 1
| Error codes.
constant int | SSH_DPA_PORT_INVALID = 2
constant int | SSH_DPA_PORT_IN_USE = 3

## Detailed Description

DSAM port interface.

Definition at line 14 of file DsamPort.idl.

## Member Enumeration Documentation

## ◆ DeviceInterfaceType

enum dsam::DsamPort::DeviceInterfaceType

Serial device interface type.

Enumerator
DEV_IFTYPE_AUTO | auto detect
DEV_IFTYPE_DTE | DTE (Data Terminal Equipment) device detected.
DEV_IFTYPE_DCE | DCE (Data Communications Equipment) device detected.

Definition at line 25 of file DsamPort.idl.

## ◆ FlowControl

enum dsam::DsamPort::FlowControl

Flow control type.

Enumerator
FLOW_CTRL_NONE | No flow control.
FLOW_CTRL_HARDWARE | Hardware flow control.
FLOW_CTRL_SOFTWARE | Software flow control.

Definition at line 39 of file DsamPort.idl.

## ◆ Parity

enum dsam::DsamPort::Parity

Parity mode.

Enumerator
PARITY_NONE | No parity (implies 8 data bits)
PARITY_ODD | Odd parity (implies 7 data bits)
PARITY_EVEN | Even parity (implies 7 data bits)

Definition at line 32 of file DsamPort.idl.

## ◆ State

enum dsam::DsamPort::State

Port state.

Enumerator
STATE_AVAILABLE | no clients connected to port
STATE_OCCUPIED | at least one client connected, more clients allowed
STATE_BUSY | no more clients allowed

Definition at line 46 of file DsamPort.idl.

## Member Function Documentation

## ◆ getInfo()

Info dsam::DsamPort::getInfo | ( |  | ) |

Get current port info.

Returns
  Port info

## ◆ getSettings()

Settings dsam::DsamPort::getSettings | ( |  | ) |

Get current port settings.

Returns
  Port settings.

## ◆ getTtyUsbNumber()

int dsam::DsamPort::getTtyUsbNumber | ( |  | ) |

Get the number of the ttyUSB device.

NOTE: This function is only used internally and is not available via JSON-RPC.

Returns
  ttyUSB device number

## ◆ setSettings()

int dsam::DsamPort::setSettings | ( | in Settings | settings | ) |

Set port settings.

Parameters

  settings | Port settings

Returns
  SUCCESS if no error occured or one of the defined error codes

## ◆ setState()

void dsam::DsamPort::setState | ( | in State | state | ) |

Set the state of the port.

NOTE: This function is only used internally and is not available via JSON-RPC.

Parameters

  state | Port state

## Member Data Documentation

## ◆ SETTINGS_INVALID

constant int dsam::DsamPort::SETTINGS_INVALID = 1

Error codes.

Definition at line 20 of file DsamPort.idl.

## ◆ SSH_DPA_PORT_IN_USE

constant int dsam::DsamPort::SSH_DPA_PORT_IN_USE = 3

Definition at line 22 of file DsamPort.idl.

## ◆ SSH_DPA_PORT_INVALID

constant int dsam::DsamPort::SSH_DPA_PORT_INVALID = 2

Definition at line 21 of file DsamPort.idl.

## ◆ SUCCESS

constant int dsam::DsamPort::SUCCESS = 0

Success code.

Definition at line 17 of file DsamPort.idl.

The documentation for this interface was generated from the following file:

- DsamPort.idl